Build #2 for inline-java-0.7.1

[all reports]

Package inline-java-0.7.1
Install DependencyFailed jni-0.5.0
Docs NotTried
Tests NotTried
Time submitted 2017-12-05 19:56:31.929520286 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies Cabal-1.24.2.0, base-4.9.1.0, bytestring-0.10.8.1, directory-1.3.0.0, filepath-1.4.1.1, ghc-8.0.2, jni-0.5.0, jvm-0.4.0, language-java-0.2.8, mtl-2.2.1, process-1.4.3.0, template-haskell-2.11.1.0, temporary-1.2.1.1, text-1.2.2.2
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring base-orphans-0.6...
Configuring byteable-0.1.1...
Building base-orphans-0.6...
Building byteable-0.1.1...
Installed byteable-0.1.1
Configuring basement-0.0.4...
Building basement-0.0.4...
Configuring cabal-doctest-1.0.3...
Installed base-orphans-0.6
Building cabal-doctest-1.0.3...
Configuring choice-0.2.2...
Installed cabal-doctest-1.0.3
Building choice-0.2.2...
Configuring colour-2.3.4...
Installed choice-0.2.2
Building colour-2.3.4...
Configuring integer-logarithms-1.0.2...
Installed colour-2.3.4
Building integer-logarithms-1.0.2...
Configuring mtl-2.2.1...
Installed integer-logarithms-1.0.2
Building mtl-2.2.1...
Configuring old-locale-1.0.0.7...
Installed mtl-2.2.1
Building old-locale-1.0.0.7...
Configuring random-1.1...
Installed old-locale-1.0.0.7
Building random-1.1...
Configuring primitive-0.6.2.0...
Installed random-1.1
Building primitive-0.6.2.0...
Configuring safe-0.3.15...
Installed basement-0.0.4
Building safe-0.3.15...
Configuring semigroups-0.18.3...
Installed primitive-0.6.2.0
Building semigroups-0.18.3...
Configuring syb-0.7...
Installed safe-0.3.15
Building syb-0.7...
Configuring stm-2.4.4.1...
Installed semigroups-0.18.3
Building stm-2.4.4.1...
Configuring th-lift-0.7.7...
Installed stm-2.4.4.1
Configuring text-1.2.2.2...
Installed syb-0.7
Building th-lift-0.7.7...
Building text-1.2.2.2...
Configuring transformers-compat-0.5.1.4...
Installed th-lift-0.7.7
Building transformers-compat-0.5.1.4...
Installed transformers-compat-0.5.1.4
Configuring ansi-terminal-0.7.1.1...
Building ansi-terminal-0.7.1.1...
Installed ansi-terminal-0.7.1.1
Configuring old-time-1.1.0.3...
Building old-time-1.1.0.3...
Configuring foundation-0.0.17...
Installed old-time-1.1.0.3
Building foundation-0.0.17...
Configuring memory-0.14.9...
Installed text-1.2.2.2
Building memory-0.14.9...
Configuring tf-random-0.5...
Installed memory-0.14.9
Building tf-random-0.5...
Configuring vector-0.12.0.1...
Installed tf-random-0.5
Building vector-0.12.0.1...
Configuring th-expand-syns-0.4.3.0...
Installed foundation-0.0.17
Building th-expand-syns-0.4.3.0...
Configuring exceptions-0.8.3...
Installed th-expand-syns-0.4.3.0
Building exceptions-0.8.3...
Installed vector-0.12.0.1
Configuring ansi-wl-pprint-0.6.8.1...
Building ansi-wl-pprint-0.6.8.1...
Configuring hashable-1.2.6.1...
Installed exceptions-0.8.3
Building hashable-1.2.6.1...
Configuring parsec-3.1.11...
Installed ansi-wl-pprint-0.6.8.1
Building parsec-3.1.11...
Installed hashable-1.2.6.1
Configuring polyparse-1.12...
Building polyparse-1.12...
Configuring QuickCheck-2.10.1...
Installed parsec-3.1.11
Building QuickCheck-2.10.1...
Configuring th-reify-many-0.1.8...
Installed polyparse-1.12
Building th-reify-many-0.1.8...
Configuring cryptonite-0.24...
Installed th-reify-many-0.1.8
Building cryptonite-0.24...
Configuring th-lift-instances-0.1.11...
Installed QuickCheck-2.10.1
Building th-lift-instances-0.1.11...
Installed th-lift-instances-0.1.11
Configuring temporary-1.2.1.1...
Building temporary-1.2.1.1...
Configuring constraints-0.9.1...
Installed temporary-1.2.1.1
Building constraints-0.9.1...
Configuring unordered-containers-0.2.8.0...
Installed constraints-0.9.1
Building unordered-containers-0.2.8.0...
Configuring scientific-0.3.5.2...
Installed unordered-containers-0.2.8.0
Building scientific-0.3.5.2...
Configuring cpphs-1.20.8...
Installed scientific-0.3.5.2
Building cpphs-1.20.8...
Configuring th-orphans-0.13.4...
Installed cryptonite-0.24
Building th-orphans-0.13.4...
Installed cpphs-1.20.8
Configuring distributed-closure-0.3.4.0...
Building distributed-closure-0.3.4.0...
Installed distributed-closure-0.3.4.0
Configuring charset-0.3.7.1...
Building charset-0.3.7.1...
Configuring attoparsec-0.13.2.0...
Installed th-orphans-0.13.4
Building attoparsec-0.13.2.0...
Configuring cryptohash-0.11.9...
Installed charset-0.3.7.1
Building cryptohash-0.11.9...
Configuring language-java-0.2.8...
Installed attoparsec-0.13.2.0
Building language-java-0.2.8...
Installed cryptohash-0.11.9
Configuring th-desugar-1.6...
Building th-desugar-1.6...
Configuring parsers-0.12.7...
Installed language-java-0.2.8
Installed th-desugar-1.6
Configuring singletons-2.2...
Building singletons-2.2...
Building parsers-0.12.7...
Warning: /tmp/pkgConf-parsers-0.1218753359281784639529.7: Unrecognized field
dynamic-library-dirs on line 28
Installed parsers-0.12.7
Configuring inline-c-0.5.6.1...
Building inline-c-0.5.6.1...
Installed inline-c-0.5.6.1
Installed singletons-2.2
Configuring jni-0.5.0...
Failed to install jni-0.5.0
Build log ( /home/builder/.cabal/logs/jni-0.5.0.log ):
cabal: Entering directory '/tmp/cabal-tmp-10420/jni-0.5.0'
Configuring jni-0.5.0...
cabal: Missing dependency on a foreign library:
* Missing C library: jvm
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.
cabal: Leaving directory '/tmp/cabal-tmp-10420/jni-0.5.0'
cabal: Error: some packages failed to install:
inline-java-0.7.1 depends on jni-0.5.0 which failed to install.
jni-0.5.0 failed during the configure step. The exception was:
ExitFailure 1
jvm-0.4.0 depends on jni-0.5.0 which failed to install.